#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	JSON
%define	pnam	XS
Summary:	JSON::XS - JSON serialising/deserialising, done correctly and fast
Summary(pl.UTF-8):	JSON::JS - serializacja/deserializacja JSON wykonana poprawnie i szybko
Name:		perl-JSON-XS
Version:	2.3
Release:	2
Epoch:		2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4dc2a968e41f8cf330d46be12f221a12
URL:		http://search.cpan.org/dist/JSON-XS/
BuildRequires:	perl-Encode
BuildRequires:	perl-common-sense
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module converts Perl data structures to JSON and vice versa. Its
primary goal is to be correct and its secondary goal is to be fast. To
reach the latter goal it was written in C.

As this is the n-th-something JSON module on CPAN, what was the reason
to write yet another JSON module? While it seems there are many JSON
modules, none of them correctly handle all corner cases, and in most
cases their maintainers are unresponsive, gone missing, or not
listening to bug reports for other reasons.

%description -l pl.UTF-8
Ten moduł konwertuje struktury danych Perla do formatu JSON i
odwrotnie. Jego podstawowym celem jest poprawne działanie, a drugim -
szybkość. W celu osiągnięcia tego drugiego celu został napisany w C.

Jako że jest to już któryś moduł JSON w CPAN-ie, musiała istnieć jakaś
przyczyna dla napisania kolejnego modułu JSON. O ile istnieje wiele
takich modułów, żaden z nich nie obsługiwał wszystkich skrajnych
przypadków i w większości przypadków utrzymujący moduły nie
odpowiadali, zaginęli lub z innych powodów nie zwracali uwagi na
zgłoszenia błędów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/json_xs
%{perl_vendorarch}/JSON/XS.pm
%{perl_vendorarch}/JSON/XS
%dir %{perl_vendorarch}/auto/JSON
%dir %{perl_vendorarch}/auto/JSON/XS
%{perl_vendorarch}/auto/JSON/XS/XS.bs
%attr(755,root,root) %{perl_vendorarch}/auto/JSON/XS/*.so
%{_mandir}/man?/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-JSON-XS.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> ec2fbc9
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon Jun 27 2011 Tomasz Pala <gotar@pld-linux.org> b65cefa
- package bootstrap file, more verbose listing

* Mon Jun 27 2011 Tomasz Pala <gotar@pld-linux.org> 40e4ea3
- upgraded to 2.3, epoch 2:/

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 602d051
- BR: perl-common-sense

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 05d8335
- epoch 1 because 2.29 < 2.231

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> aa42056
- release 3

* Sun Jun 06 2010 radek <radek@pld-linux.org> 8b52923
- release 2: BR: perl-Encode

* Sat Jun 05 2010 radek <radek@pld-linux.org> a28722d
- version 2.29

* Tue Jan 27 2009 radek <radek@pld-linux.org> a4ea07a
- version 2.231

* Sun Mar 02 2008 radek <radek@pld-linux.org> cdb8dc8
- release 3

* Sat Feb 23 2008 radek <radek@pld-linux.org> cddcb27
- release 2: missing dir, kill empty *.bs

* Sat Feb 23 2008 radek <radek@pld-linux.org> 7d069ff
- version 2.01

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 0e022f0
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon May 28 2007 Maciej Pijanka <agaran@pld-linux.org> 6bd39ba
- up to 1.22, rel 1, builds here

* Wed May 09 2007 Jakub Bogusz <qboosh@pld-linux.org> cec964c
- pl, URL

* Fri May 04 2007 Artur Frysiak <artur@frysiak.net> d06aa34
- raw

